<?php
namespace App\Galileo\LineParser\Types;

/**
 * Data line
 * @author Lucian Sirbu
 */
class Data_A24Vat extends \App\Galileo\LineParser\Types\GalileoBase
{
	/**
	 * OTHER FARE CONSTRUCTION
	 */

	/**
	 * Children elements
	 */
	protected $children = [
	    [ 'key'=>'A24VAT',  'type'=>'StringRaw',                            'label'=>'VAT AMOUNT MESSAGE FOR TICKETING' ],
	];

	/**
	 * (non-PHPdoc)
	 * @see \App\Galileo\LineParser\Types\GalileoBase::isValid()
	 */
	public function isValid() {
		if (preg_match("/^A24/", $this->rawData)) {
			return false;
		}

		return parent::isValid();
	}
}
